Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.runtime.conf
Interface KieSessionOptionsConfiguration

All Known Subinterfaces:
  KieSessionConfiguration

    public interface KieSessionOptionsConfiguration

A base interface for type safe configurations

Method Summary
`
`<T extends SingleValueKieSessionOption> T`
` | `getOption(Class<T> option)` Gets an option value
`
`<T extends MultiValueKieSessionOption> T`
` | `getOption(Class<T> option, String key)` Gets an option value for the given option + key.
`
`<T extends KieSessionOption> void`
` | `setOption(T option)` Sets an option

Method Detail

### setOption

    <T extends KieSessionOption> void setOption(T option)

  Sets an option

  Parameters:
    `option` - the option to be set. As options are type safe, the option itself contains the option key, and so a single parameter is enough.

### getOption

    <T extends SingleValueKieSessionOption> T getOption(Class<T> option)

  Gets an option value

  Parameters:
    `option` - the option class for the option being requested
  Returns:
    the Option value for the given option. Returns null if option is not configured.

### getOption

    <T extends MultiValueKieSessionOption> T getOption(Class<T> option,
                                                       String key)

  Gets an option value for the given option + key. This method should be used for multi-value options where one option has multiple values, distinguished by a sub-key.

  Parameters:
    `option` - the option class for the option being requested
    `key` - the key for the option being requested
  Returns:
    the Option value for the given option + key. Returns null if option is not configured.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.